4.2.10 LTS release

About 4.2.10 LTS

The community of developers and implementers is proud to announce the 4.2.10 LTS release of CiviCRM.  LTS stands for "long term support" and the purpose of this release is three fold:

1. To provide bug and security fixes to those who are not ready to upgrade to CiviCRM 4.3 just yet

2. To increase the reliability of an existing CiviCRM release

3. To provide a consistent and stable hook and API platform for developers


Download it here


The developer community thanks the CiviCRM core team for their support of this effort.  This LTS release is not a substitute for CiviCRM 4.3 and beyond.  CiviCRM 4.3 contains newer features not included in 4.2.10 LTS.  However, for those less interested in newer features and more interested in the back-porting of bug fixes and security patches, consider this 4.2.10 LTS for your installation.

Security Fixes

4.2.10 LTS includes multiple security fixes:

Questions and Answers

Q: How long will this LTS effort continue for 4.2?

A: We will backport any security issues which affect 4.2 through the end of 2013 along with possible additional bug fixes deemed appropriate.  These releases would be named 4.2.11 LTS, 4.2.12 LTS, and so on.


Q: What is the basis of the 4.2.10 LTS code?

A: 4.2 LTS code is a branch of the 4.2.9 code, with selected bug and security fixes backported that were previously applied only to 4.3.  4.2.10 LTS also contains API enhancements that were previously available in 4.3 only, allowing your extensions and custom work to be consistently applied across 4.2 LTS and 4.3.


Q: Are there database schema changes in 4.2.10 LTS compared to 4.2.9?

A: No.


Q: Will you backport my favorite feature from 4.3 into 4.2 LTS?

A: Probably not.


Q: Will you be doing future LTS releases for other versions?

A: Long term support is community driven and requires a great deal of effort.  As more developers and integrators become involved, more LTS versions will be possible.  With your support, LTS releases may be available every version (4.3 and beyond), or we may alternate versions (4.4, 4.6, etc) depending on volunteer effort.


Q: Did you fix my favorite bug in 4.2.10 LTS?

A: See the list of backported patches.


Q: I’ve already upgraded to 4.3, can I switch back to 4.2.10 LTS instead?

A: No, this is not recommended, as there are differences in database schema and no scripts exist for downgrading from 4.3 to 4.2 LTS.


Q: I have a bug I'd like to see fixed in 4.2 LTS, can you do it?

A: Please post candidates for backporting on the CiviCRM LTS forum.


Q: How can I help with the CiviCRM 4.2. LTS efforts?

A: Help us make future CiviCRM LTS releases by posting bug reports to the forums and lending us your developer eye when it comes to spotting and fixing bugs.  Developers can submit pull requests to the 4.2 LTS branch on GitHub.  Please make sure include the CRM-1xxxx number from JIRA in your pull request.


this is cool! its great to see how the group worked together to make the LTS vision a reality :) thanx and a big tip of the hat to eileen, nicolas, bgm, stoob and the rest for making this happen

much appreciated